Subject: Re: [msysGit] Illegal filename characters one Windows

From: Johannes Sixt <[email-masked]>
Date: Sun, 15 Apr 2012 19:16:29 +0200

Am 15.04.2012 02:07, schrieb Clemens Buchacher:
> I recently noticed that git does not deal very well with illegal
> filenames on Windows. I have a repository which contains a couple of
> filenames like "Re: some email.eml". On a Windows box, those files get
> truncated to just "Re" during checkout, because ':' is an illegal
> character for filenames on Windows. [1]

This is a issue very similar to files named nul, aux, prn, com1 and the
like; they can't be checked out, either. I've suggested to use sparse
checkout in such cases; other than that, I think we don't have a
solution for it.

-- Hannes